# Gimp.Image.select_item

    @accepts(Gimp.Image, Gimp.ChannelOps, Gimp.Item)
    @returns(bool)
    def select_item(self, operation, item):
        # Python wrapper for gimp_image_select_item()

Transforms the specified item into a selection

This procedure renders the item's outline into the current selection of the image the item belongs to. What exactly the item's outline is depends on the item type: for layers, it's the layer's alpha channel, for vectors the vector's shape.

This procedure is affected by the following context setters: Gimp.context_set_antialias, Gimp.context_set_feather, Gimp.context_set_feather_radius.

Since 2.8

self

  The image.

operation

  The desired operation with current selection.

item

  The item to render to the selection.

Returns